export enum ElementTypes {
  UNKNOWN = 'UNKNOWN',

  COMMON = 'COMMON',
  EMBED = 'EMBED',
  BLOCK = 'BLOCK',

  // commons
  HEADING = 'HEADING',
  IMAGE = 'IMAGE',
  LINK = 'LINK',
  LIST = 'LIST',
  PARAGRAPH = 'PARAGRAPH',
  QUOTE = 'QUOTE',

  // embeds
  EMBED_FACEBOOK = 'FACEBOOK',
  EMBED_INSTAGRAM = 'INSTAGRAM',
  EMBED_YOUTUBE = 'YOUTUBE',

  // blocks

  // CTA
  BLOCK_CTA_1 = 'BLOCK_CTA_1',
  BLOCK_CTA_2 = 'BLOCK_CTA_2',

  // Hero
  BLOCK_HERO_1 = 'BLOCK_HERO_1',
  BLOCK_HERO_2 = 'BLOCK_HERO_2',
  BLOCK_HERO_3 = 'BLOCK_HERO_3',
  BLOCK_HERO_4 = 'BLOCK_HERO_4',

  // Pricing
  BLOCK_PRICING_1 = 'BLOCK_PRICING_1',

  // Testimonial
  BLOCK_TESTIMONIAL_1 = 'BLOCK_TESTIMONIAL_1'
}